package Exam;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

public class testMarksTest {
    @Before
    public void setUp(){
        System.out.println("Test Start");
    }
    @After
    public void tearDown(){
        System.out.println("Test End");
    }

   @Test
   public void testGetGrade() {
       // Test normal (Typical Testing)
       assertEquals("Wrong Grade", "A", testMarks.getScore(90));
       assertEquals("Wrong Grade", "B", testMarks.getScore(70));
       assertEquals("Wrong Grade", "C", testMarks.getScore(50));
       assertEquals("Wrong Grade", "F", testMarks.getScore(30));

       // Test boundary 3 Cases
       assertEquals("Wrong Grade", "A", testMarks.getScore(76));
       assertEquals("Wrong Grade", "A", testMarks.getScore(75));
       assertEquals("Wrong Grade", "B", testMarks.getScore(74));

       // Test boundary 3 Cases
       assertEquals("Wrong Grade", "B", testMarks.getScore(61));
       assertEquals("Wrong Grade", "B", testMarks.getScore(60));
       assertEquals("Wrong Grade", "C", testMarks.getScore(59));

       // Test Illegal Argument
       assertEquals("Wrong Grade", "E", testMarks.getScore(10000));
       assertEquals("Wrong Grade", "E", testMarks.getScore(-1));
       assertEquals("Wrong Grade", "E", testMarks.getScore(100.1));
   }

}