package Week9_Lab;
import org.junit.Test;
import static org.junit.Assert.*;

public class RandomCharacterTest {
    @Test
    public void testGetRandomLowerCaseLetter() {
        for (int i = 0; i < 1000;i++){
            char c = RandomCharacter.getRandomLowerCaseLetter();
            assertTrue(c >= 'a' && c <= 'z');
        }
    }

    @Test
    public void testGetRandomUpperCaseLetter() {
        for (int i = 0; i < 1000;i++){
            char c = RandomCharacter.getRandomUpperCaseLetter();
            assertTrue(c >= 'A' && c <= 'Z');
        }
    }

    @Test
    public void testGetRandomDigitCharacter() {
        for (int i = 0; i < 1000;i++){
            char c = RandomCharacter.getRandomDigitCharacter();
            assertTrue(c >= '0' && c <= '9');
        }
    }

    @Test
    public void testGetRandomCharacter() {
        for (int i = 0; i < 1000;i++){
            char c = RandomCharacter.getRandomCharacter();
            assertTrue((c >= 'A' && c <= 'Z') ||
                    (c >= 'a' && c <= 'z') ||
                    (c >= '0' && c <= '9')
            );
        }
    }
}
